actions: []
api_documentation: http://docs.ros.org/en/noetic/api/etsi_its_cam_msgs/html
authors: "Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>, Guido K\xFCppers <guido.kueppers@rwth-aachen.de>,\
  \ Lennart Reiher <lennart.reiher@rwth-aachen.de>"
brief: ''
bugtracker: ''
depends:
- catkin
- message_generation
- message_runtime
- ros_environment
- std_msgs
depends_on:
- etsi_its_cam_conversion
- etsi_its_msgs
description: ROS messages for ETSI ITS CAM
devel_jobs:
- https://build.ros.org/view/Ndev/job/Ndev__etsi_its_messages__ubuntu_focal_amd64
doc_job: https://build.ros.org/view/Ndoc/job/Ndoc__etsi_its_messages__ubuntu_focal_amd64
has_changelog_rst: true
license: MIT
maintainer_status: developed
maintainers: "Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>, Guido K\xFCppers\
  \ <guido.kueppers@rwth-aachen.de>, Lennart Reiher <lennart.reiher@rwth-aachen.de>"
msgs:
- StationarySince
- HumanProblemSubCauseCode
- HumanPresenceOnTheRoadSubCauseCode
- CurvatureConfidence
- PosPillar
- CenDsrcTollingZoneID
- TurningRadius
- ProtectedZoneRadius
- Altitude
- SpeedLimit
- Temperature
- CollisionRiskSubCauseCode
- PtActivationType
- YawRateValue
- PostCrashSubCauseCode
- RestrictedTypes
- CauseCodeType
- BasicVehicleContainerLowFrequency
- AccidentSubCauseCode
- EmergencyContainer
- ProtectedZoneType
- AdverseWeatherConditionExtremeWeatherConditionSubCauseCode
- SpecialVehicleContainer
- RescueContainer
- PerformanceClass
- GenerationDeltaTime
- DangerousGoodsExtended
- BasicContainer
- LightBarSirenInUse
- CenDsrcTollingZone
- PosConfidenceEllipse
- LongitudinalAccelerationValue
- PosCentMass
- ExteriorLights
- RSUContainerHighFrequency
- ClosedLanes
- HazardousLocationAnimalOnTheRoadSubCauseCode
- LowFrequencyContainer
- VerticalAccelerationValue
- AccelerationControl
- DeltaLongitude
- HighFrequencyContainer
- AltitudeValue
- LongitudinalAcceleration
- RequestResponseIndication
- VehicleRole
- DigitalMap
- TransmissionInterval
- PtActivation
- ItineraryPath
- RoadType
- RoadworksSubCauseCode
- HeadingConfidence
- CurvatureCalculationMode
- Traces
- HardShoulderStatus
- TrafficConditionSubCauseCode
- ProtectedCommunicationZonesRSU
- YawRate
- AltitudeConfidence
- SpecialTransportContainer
- SpeedValue
- EnergyStorageType
- EmergencyPriority
- EventHistory
- VehicleIdentification
- DriveDirection
- RoadWorksContainerBasic
- CurvatureValue
- PosLonCarr
- PathHistory
- VehicleLength
- StationID
- LateralAcceleration
- VehicleLengthConfidenceIndication
- LateralAccelerationValue
- SteeringWheelAngle
- StationType
- WheelBaseVehicle
- PathDeltaTime
- PtActivationData
- AccelerationConfidence
- RelevanceDistance
- HazardousLocationDangerousCurveSubCauseCode
- ProtectedCommunicationZone
- SteeringWheelAngleValue
- LanePosition
- TimestampIts
- PathPoint
- VDS
- VehicleWidth
- AdverseWeatherConditionVisibilitySubCauseCode
- PhoneNumber
- StationaryVehicleSubCauseCode
- DangerousGoodsContainer
- HazardousLocationSurfaceConditionSubCauseCode
- CoopAwareness
- Speed
- OpeningDaysHours
- CauseCode
- Heading
- HazardousLocationObstacleOnTheRoadSubCauseCode
- SteeringWheelAngleConfidence
- DangerousEndOfQueueSubCauseCode
- VehicleBreakdownSubCauseCode
- RescueAndRecoveryWorkInProgressSubCauseCode
- DangerousSituationSubCauseCode
- CamParameters
- SafetyCarContainer
- WMInumber
- EmbarkationStatus
- SemiAxisLength
- ActionID
- RelevanceTrafficDirection
- VerticalAcceleration
- Longitude
- TrafficRule
- SequenceNumber
- WrongWayDrivingSubCauseCode
- AdverseWeatherConditionPrecipitationSubCauseCode
- DeltaLatitude
- PublicTransportContainer
- PositionOfOccupants
- ProtectedZoneID
- ItsPduHeader
- VehicleLengthValue
- SignalViolationSubCauseCode
- Curvature
- SubCauseCodeType
- NumberOfOccupants
- DrivingLaneStatus
- SpeedConfidence
- SlowVehicleSubCauseCode
- CAM
- EventPoint
- PositionOfPillars
- BasicVehicleContainerHighFrequency
- HeadingValue
- YawRateConfidence
- ValidityDuration
- SpecialTransportType
- Latitude
- PositioningSolutionType
- InformationQuality
- EmergencyVehicleApproachingSubCauseCode
- PosFrontAx
- ReferencePosition
- DeltaReferencePosition
- HeightLonCarr
- AdverseWeatherConditionAdhesionSubCauseCode
- DangerousGoodsBasic
- VehicleMass
- DeltaAltitude
package_type: package
release_jobs:
- https://build.ros.org/view/Nsrc_uF/job/Nsrc_uF__etsi_its_cam_msgs__ubuntu_focal__source
- https://build.ros.org/view/Nbin_uF64/job/Nbin_uF64__etsi_its_cam_msgs__ubuntu_focal_amd64__binary
- https://build.ros.org/view/Nbin_ufhf_uFhf/job/Nbin_ufhf_uFhf__etsi_its_cam_msgs__ubuntu_focal_armhf__binary
- https://build.ros.org/view/Nbin_ufv8_uFv8/job/Nbin_ufv8_uFv8__etsi_its_cam_msgs__ubuntu_focal_arm64__binary
repo_name: etsi_its_messages
repo_url: ''
srvs: []
timestamp: 1731409392.5211792
url: ''
vcs: git
vcs_uri: https://github.com/ika-rwth-aachen/etsi_its_messages.git
vcs_version: main
